summaryrefslogtreecommitdiffstats
path: root/audio/mp3splt-gtk/mp3splt-gtk.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/mp3splt-gtk/mp3splt-gtk.SlackBuild')
-rw-r--r--audio/mp3splt-gtk/mp3splt-gtk.SlackBuild14
1 files changed, 9 insertions, 5 deletions
diff --git a/audio/mp3splt-gtk/mp3splt-gtk.SlackBuild b/audio/mp3splt-gtk/mp3splt-gtk.SlackBuild
index cec3e5f979..03a91e45dd 100644
--- a/audio/mp3splt-gtk/mp3splt-gtk.SlackBuild
+++ b/audio/mp3splt-gtk/mp3splt-gtk.SlackBuild
@@ -5,7 +5,7 @@
# Written by Roberto Neri <rneri@libero.it>
PRGNAM=mp3splt-gtk
-VERSION=${VERSION:-0.5.2}
+VERSION=${VERSION:-0.5.4}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -38,20 +38,24 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-patch -i $CWD/mp3splt-gtk.desktop.diff
+patch -p1 < $CWD/mp3splt-gtk.desktop.diff
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --enable-audacious
+ --enable-audacious \
+ --enable-gstreamer \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION